import React, { Component } from 'react';
import HelloWorldService from '../services/HelloWorldService';

class ListHelloWorldComponent extends Component {
    constructor(props) {
        super(props)

        this.state = {
            helloWorldList: []
        }
    }

    componentDidMount() {
        HelloWorldService.getHelloWorldList().then( (res) => {
            this.setState({helloWorldList: res.data})
        })
    }

    render() {
        return (
            <div>
                <h2 className='text-center'>List</h2>
                <div className='row'>
                    <table>
                        <thead>
                            <tr>
                                <th>Id</th>
                                <th>Name</th>
                            </tr>
                        </thead>
                        <tbody>
                            {
                                this.state.helloWorldList.map(
                                    helloWorld => 
                                    <tr key = {helloWorld.id}>
                                        <td> {helloWorld.id}</td>
                                        <td> {helloWorld.name}</td>
                                    </tr>
                                )
                            }
                        </tbody>
                    </table>
                </div>

           </div>
        );
    }
}

export default ListHelloWorldComponent;
